# `OpenJpeg_jll.jl` (v2.5.3+0)

[![deps](https://juliahub.com/docs/OpenJpeg_jll/deps.svg)](https://juliahub.com/ui/Packages/General/OpenJpeg_jll/)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/daed8657fc4113389b5bc4feb48660fbce8fb19f/O/OpenJpeg/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `OpenJpeg_jll.jl` have been built from these sources:

* git repository: https://github.com/uclouvain/openjpeg.git (revision: `210a8a5690d0da66f02d49420d7176a21ef409dc`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/daed8657fc4113389b5bc4feb48660fbce8fb19f/O/OpenJpeg/bundled)

## Platforms

`OpenJpeg_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `FreeBSD aarch64` (`aarch64-unknown-freebsd`)
* `Linux armv6l {call_abi=eabihf, libc=glibc}` (`armv6l-linux-gnueabihf`)
* `Linux armv6l {call_abi=eabihf, libc=musl}` (`armv6l-linux-musleabihf`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Linux i686 {libc=musl}` (`i686-linux-musl`)
* `Windows i686` (`i686-w64-mingw32`)
* `Linux powerpc64le {libc=glibc}` (`powerpc64le-linux-gnu`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Linux x86_64 {libc=musl}` (`x86_64-linux-musl`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64` (`x86_64-w64-mingw32`)

## Dependencies

The following JLL packages are required by `OpenJpeg_jll.jl`:

* [`Libtiff_jll`](https://github.com/JuliaBinaryWrappers/Libtiff_jll.jl)
* [`LittleCMS_jll`](https://github.com/JuliaBinaryWrappers/LittleCMS_jll.jl)
* [`libpng_jll`](https://github.com/JuliaBinaryWrappers/libpng_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libopenjp2`
* `ExecutableProduct`: `opj_compress`
* `ExecutableProduct`: `opj_decompress`
* `ExecutableProduct`: `opj_dump`
